- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes

# QScriptClass Class Reference

Search for all occurrences

## Detailed Description

Definition at line 43 of file qscriptclass.h.

`#include <qscriptclass.h>`

List of all members.

## Public Types
enum | QueryFlag { HandlesReadAccess = 0x01, HandlesWriteAccess = 0x02 }
enum | Extension { Callable, HasInstance }
## Public Member Functions
| QScriptClass (QScriptEngine *engine)
virtual | ~QScriptClass ()
QScriptEngine * | engine () const
virtual QueryFlags | queryProperty (const QScriptValue &object, const QScriptString &name, QueryFlags flags, uint *id)
virtual QScriptValue | property (const QScriptValue &object, const QScriptString &name, uint id)
virtual void | setProperty (QScriptValue &object, const QScriptString &name, uint id, const QScriptValue &value)
virtual QScriptValue::PropertyFlags | propertyFlags (const QScriptValue &object, const QScriptString &name, uint id)
virtual QScriptClassPropertyIterator * | newIterator (const QScriptValue &object)
virtual QScriptValue | prototype () const
virtual QString | name () const
virtual bool | supportsExtension (Extension extension) const
virtual QVariant | extension (Extension extension, const QVariant &argument=QVariant())
## Protected Member Functions
| QScriptClass (QScriptEngine *engine, QScriptClassPrivate &dd)
## Protected Attributes
QScopedPointer < QScriptClassPrivate > | d_ptr

## Member Enumeration Documentation

enum QueryFlag

Search for all occurrences

Enumerator:

  HandlesReadAccess | Search for all occurrences
  HandlesWriteAccess | Search for all occurrences

Definition at line 46 of file qscriptclass.h.

                       {
            HandlesReadAccess = 0x01,
            HandlesWriteAccess = 0x02
        };

enum Extension

Search for all occurrences

Enumerator:

  Callable | Search for all occurrences
  HasInstance | Search for all occurrences

Definition at line 52 of file qscriptclass.h.

                       {
            Callable,
            HasInstance
        };

## Constructor & Destructor Documentation

QScriptClass | ( | QScriptEngine * | engine | ) |

virtual ~QScriptClass | ( |  | ) | `[virtual]`

QScriptClass | ( | QScriptEngine * | engine,
|  | QScriptClassPrivate & | dd
| ) |  | `[protected]`

## Member Function Documentation

QScriptEngine* engine | ( |  | ) | const

Search for all occurrences

virtual QueryFlags queryProperty | ( | const QScriptValue & | object,
|  | const QScriptString & | name,
|  | QueryFlags | flags,
|  | uint * | id
| ) |  | `[virtual]`

Search for all occurrences

virtual QScriptValue property | ( | const QScriptValue & | object,
|  | const QScriptString & | name,
|  | uint | id
| ) |  | `[virtual]`

Search for all occurrences

virtual void setProperty | ( | QScriptValue & | object,
|  | const QScriptString & | name,
|  | uint | id,
|  | const QScriptValue & | value
| ) |  | `[virtual]`

Search for all occurrences

virtual QScriptValue::PropertyFlags propertyFlags | ( | const QScriptValue & | object,
|  | const QScriptString & | name,
|  | uint | id
| ) |  | `[virtual]`

Search for all occurrences

virtual QScriptClassPropertyIterator* newIterator | ( | const QScriptValue & | object | ) | `[virtual]`

Search for all occurrences

virtual QScriptValue prototype | ( |  | ) | const `[virtual]`

Search for all occurrences

virtual QString name | ( |  | ) | const `[virtual]`

Search for all occurrences

virtual bool supportsExtension | ( | Extension | extension | ) | const `[virtual]`

Search for all occurrences

virtual QVariant extension | ( | Extension | extension,
|  | const QVariant & | argument = `QVariant()`
| ) |  | `[virtual]`

Search for all occurrences

## Member Data Documentation

QScopedPointer<QScriptClassPrivate> d_ptr `[protected]`

Search for all occurrences

Definition at line 87 of file qscriptclass.h.

The documentation for this class was generated from the following file:

- QtScript/qscriptclass.h

QScriptClass QScriptClass QScriptClass QScriptClass QScriptClass QScriptClass QScriptClass QScriptClass QScriptClass QScriptClass
QScriptClass QScriptClass QScriptClass QScriptClass QScriptClass QScriptClass QScriptClass QScriptClass QScriptClass QScriptClass